KURIFilterPlugin Class Referenceabstract

`#include <kurifilter.h>`

Inherits QObject.

## Public Member Functions

| KURIFilterPlugin (QObject *parent=0, const char *name=0, double pri=1.0)
virtual QString | name () const
virtual double | priority () const
virtual bool | filterURI (KURIFilterData &data) const =0
virtual KCModule * | configModule (QWidget *, const char *) const
virtual QString | configName () const

## Protected Member Functions

void | setFilteredURI (KURIFilterData &data, const KURL &uri) const
void | setErrorMsg (KURIFilterData &data, const QString &errmsg) const
void | setURIType (KURIFilterData &data, KURIFilterData::URITypes type) const
void | setArguments (KURIFilterData &data, const QString &args) const
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | m_strName
double | m_dblPriority

## Detailed Description

Base class for URI filter plugins.

This class applies a single filter to a URI. All plugins designed to provide URI filtering service should inherit from this abstract class and provide a concrete implementation.

All inheriting classes need to implement the pure virtual function filterURI.

Abstract class for URI filter plugins.

Definition at line 350 of file kurifilter.h.

## Constructor & Destructor Documentation

KURIFilterPlugin::KURIFilterPlugin | ( | QObject * | parent = `0`,
|  | const char * | name = `0`,
|  | double | pri = `1.0`
| ) |  |

Constructs a filter plugin with a given name and priority.

Parameters

  parent | the parent object, or 0 for no parent
  name | the name of the plugin, or 0 for no name
  pri | the priority of the plugin.

Definition at line 35 of file kurifilter.cpp.

## Member Function Documentation

virtual KCModule* KURIFilterPlugin::configModule | ( | QWidget * | ,
|  | const char * |
| ) |  | const

inline virtual

Creates a configuration module for the filter.

It is the responsibility of the caller to delete the module once it is not needed anymore.

Returns
  A configuration module, 0 if the filter isn't configurable.

Definition at line 399 of file kurifilter.h.

virtual QString KURIFilterPlugin::configName | ( |  | ) | const

inline virtual

Returns the name of the configuration module for the filter.

Returns
  the name of a configuration module or QString::null if none.

Definition at line 406 of file kurifilter.h.

virtual bool KURIFilterPlugin::filterURI | ( | KURIFilterData & | data | ) | const

pure virtual

Filters a URI.

Parameters

  data | the URI data to be filtered.

Returns
  A boolean indicating whether the URI has been changed.

virtual QString KURIFilterPlugin::name | ( |  | ) | const

inline virtual

Returns the filter's name.

Returns
  A string naming the filter.

Definition at line 371 of file kurifilter.h.

virtual double KURIFilterPlugin::priority | ( |  | ) | const

inline virtual

Returns the filter's priority.

Each filter has an assigned priority, a float from 0 to 1. Filters with the lowest priority are first given a chance to filter a URI.

Returns
  The priority of the filter.

Definition at line 381 of file kurifilter.h.

void KURIFilterPlugin::setArguments | ( | KURIFilterData & | data,
|  | const QString & | args
| ) |  | const

protected

Sets the arguments and options string in `data` to `args` if any were found during filterting.

Definition at line 212 of file kurifilter.cpp.

void KURIFilterPlugin::setErrorMsg | ( | KURIFilterData & | data,
|  | const QString & | errmsg
| ) |  | const

inline protected

Sets the error message in `data` to `errormsg`.

Definition at line 418 of file kurifilter.h.

void KURIFilterPlugin::setFilteredURI | ( | KURIFilterData & | data,
|  | const KURL & | uri
| ) |  | const

protected

Sets the the URL in `data` to `uri`.

Definition at line 42 of file kurifilter.cpp.

void KURIFilterPlugin::setURIType | ( | KURIFilterData & | data,
|  | KURIFilterData::URITypes | type
| ) |  | const

inline protected

Sets the URI type in `data` to `type`.

Definition at line 425 of file kurifilter.h.

The documentation for this class was generated from the following files:

- kurifilter.h
- kurifilter.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys